Bug 272 - unable to map SID to uid or gid
unable to map SID to uid or gid
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Solaris
: P2 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-05 06:08 UTC by Michel GRISANTI
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michel GRISANTI 2003-08-05 06:08:15 UTC
Configuration :

Active directory Forest with MSSFU schema upgrade (only schema no SFU process)
Solaris servers with PADL NSS LDAP and kerberos.
All informations about users and groups are stored in Active Directory.
User objectclass is in use for Windows and unix account. One account for the 2 
OS. Same thing for group.
In this configuration normaly no mapping is necessary, just let SMB and NSS 
doing the job. It is the case with 2.2.x versions.

In v3.0.0 beta3 we first remark that SID is not resolved in properties security 
windows. See bug id 245.

Second remark when we try to set ACL with windows interfaces and to add a group 
the following error appear in log.smbd


[2003/08/05 14:16:34, 0] passdb/pdb_smbpasswd.c:startsmbfilepwent(182)
  startsmbfilepwent_internal: unable to open 
file /usr/local/samba3.0b3/private/smbpasswd. Error was No such file or 
directory
[2003/08/05 14:16:34, 0] passdb/pdb_smbpasswd.c:smbpasswd_getsampwsid(1344)
  Unable to open passdb database.
[2003/08/05 14:17:27, 0] smbd/posix_acls.c:create_canon_ace_lists(1380)
  create_canon_ace_lists: unable to map SID S-1-5-21-57989841-776561741-
682003330-9221 to uid or gid.
[2003/08/05 14:17:27, 0] smbd/posix_acls.c:create_canon_ace_lists(1380)
  create_canon_ace_lists: unable to map SID S-1-5-21-57989841-776561741-
682003330-9221 to uid or gid.
[2003/08/05 14:17:27, 0] smbd/posix_acls.c:create_canon_ace_lists(1380)
  create_canon_ace_lists: unable to map SID S-1-5-21-57989841-776561741-
682003330-9221 to uid or gid.
[2003/08/05 14:17:27, 0] smbd/posix_acls.c:create_canon_ace_lists(1380)
  create_canon_ace_lists: unable to map SID S-1-5-21-57989841-776561741-
682003330-9221 to uid or gid.
[2003/08/05 14:17:27, 0] smbd/posix_acls.c:create_canon_ace_lists(1380)
  create_canon_ace_lists: unable to map SID S-1-5-21-57989841-776561741-
682003330-9221 to uid or gid.
[2003/08/05 14:17:27, 0] smbd/posix_acls.c:create_canon_ace_lists(1380)
  create_canon_ace_lists: unable to map SID S-1-5-21-57989841-776561741-
682003330-9221 to uid or gid.
[2003/08/05 14:17:27, 0] smbd/posix_acls.c:create_canon_ace_lists(1380)
  create_canon_ace_lists: unable to map SID S-1-5-21-57989841-776561741-
682003330-9221 to uid or gid.
Comment 1 Gerald (Jerry) Carter 2003-08-22 10:35:02 UTC
Please retest using the latest SAMBA_3_0 cvs.  I've just fixed 
a related issue (bug 245).  I think this will take care of you as
well.   If not, please reopen the bug.
Comment 2 Michel GRISANTI 2003-09-02 00:12:32 UTC
Hi Jerry,

I have the same issue with the RC2
Comment 3 Gerald (Jerry) Carter 2003-10-01 10:13:40 UTC
I think we've fixed this one now (in 3.0.0)
Comment 4 Gerald (Jerry) Carter 2005-02-07 09:06:21 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:28:12 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:31:25 UTC
database cleanup